zenilib: zenilib/jni/external/freetype2/src/cache/ftcsbits.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
ftcsbits.h File Reference
`#include <ft2build.h>`
`#include <FT_CACHE_H>`
`#include "ftcglyph.h"`

Go to the source code of this file.

## Classes

struct | FTC_SFamilyClassRec_
struct | FTC_SNodeRec_

## Macros

#define | FTC_CACHE__SFAMILY_CLASS(x) FTC_SFAMILY_CLASS( FTC_CACHE__GCACHE_CLASS( x )->family_class )
#define | FTC_SBIT_ITEMS_PER_NODE 16
#define | FTC_SFAMILY_CLASS(x) ((FTC_SFamilyClass)(x))
#define | FTC_SNODE(x) ( (FTC_SNode)( x ) )
#define | FTC_SNODE_FAMILY(x) FTC_GNODE( x )->family
#define | FTC_SNODE_GINDEX(x) FTC_GNODE( x )->gindex

## Typedefs

typedef FT_UInt(* | FTC_SFamily_GetCountFunc )(FTC_Family family, FTC_Manager manager)
typedef FT_Error(* | FTC_SFamily_LoadGlyphFunc )(FTC_Family family, FT_UInt gindex, FTC_Manager manager, FT_Face *aface)
typedef const FTC_SFamilyClassRec * | FTC_SFamilyClass
typedef struct FTC_SFamilyClassRec_ | FTC_SFamilyClassRec
typedef struct FTC_SNodeRec_ * | FTC_SNode
typedef struct FTC_SNodeRec_ | FTC_SNodeRec

## Functions

| FTC_SNode_Compare (FTC_SNode snode, FTC_GQuery gquery, FTC_Cache cache, FT_Bool *list_changed)
| FTC_SNode_Free (FTC_SNode snode, FTC_Cache cache)
| FTC_SNode_New (FTC_SNode *psnode, FTC_GQuery gquery, FTC_Cache cache)

## Macro Definition Documentation

#define FTC_CACHE__SFAMILY_CLASS | ( |  | x | ) | FTC_SFAMILY_CLASS( FTC_CACHE__GCACHE_CLASS( x )->family_class )

Definition at line 67 of file ftcsbits.h.

Referenced by FTC_SNode_New().

#define FTC_SBIT_ITEMS_PER_NODE 16

Definition at line 30 of file ftcsbits.h.

Referenced by FTC_SBitCache_Lookup(), FTC_SBitCache_LookupScaler(), FTC_SNode_New(), and ftc_snode_weight().

#define FTC_SFAMILY_CLASS | ( |  | x | ) | ((FTC_SFamilyClass)(x))

Definition at line 65 of file ftcsbits.h.

#define FTC_SNODE | ( |  | x | ) | ( (FTC_SNode)( x ) )

Definition at line 41 of file ftcsbits.h.

Referenced by FTC_SBitCache_Lookup(), and FTC_SBitCache_LookupScaler().

#define FTC_SNODE_FAMILY | ( |  | x | ) | FTC_GNODE( x )->family

Definition at line 43 of file ftcsbits.h.

#define FTC_SNODE_GINDEX | ( |  | x | ) | FTC_GNODE( x )->gindex

Definition at line 42 of file ftcsbits.h.

## Typedef Documentation

typedef FT_UInt(* FTC_SFamily_GetCountFunc)(FTC_Family family, FTC_Manager manager)

Definition at line 46 of file ftcsbits.h.

typedef FT_Error(* FTC_SFamily_LoadGlyphFunc)(FTC_Family family, FT_UInt gindex, FTC_Manager manager, FT_Face *aface)

Definition at line 50 of file ftcsbits.h.

typedef const FTC_SFamilyClassRec* FTC_SFamilyClass

Definition at line 63 of file ftcsbits.h.

typedef struct FTC_SFamilyClassRec_ FTC_SFamilyClassRec

typedef struct FTC_SNodeRec_ * FTC_SNode

typedef struct FTC_SNodeRec_ FTC_SNodeRec

## Function Documentation

FTC_SNode_Compare | ( | FTC_SNode | snode,
|  | FTC_GQuery | gquery,
|  | FTC_Cache | cache,
|  | FT_Bool * | list_changed
| ) |  |

Definition at line 410 of file ftcsbits.c.

References FTC_NODE, and ftc_snode_compare().

Referenced by FTC_SBitCache_Lookup(), and FTC_SBitCache_LookupScaler().

FTC_SNode_Free | ( | FTC_SNode | snode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 84 of file ftcsbits.c.

References FTC_NODE, and ftc_snode_free().

Referenced by FTC_SNode_New().

FTC_SNode_New | ( | FTC_SNode * | psnode,
|  | FTC_GQuery | gquery,
|  | FTC_Cache | cache
| ) |  |

Definition at line 208 of file ftcsbits.c.

References FTC_SNodeRec_::count, error, FTC_SFamilyClassRec_::family_get_count, FT_NEW, FTC_CACHE__SFAMILY_CLASS, FTC_GNODE, FTC_GNode_Init(), FTC_SBIT_ITEMS_PER_NODE, FTC_SNode_Free(), ftc_snode_load(), NULL, FTC_SNodeRec_::sbits, and FTC_SBitRec_::width.

Referenced by ftc_snode_new().